## re2 20140304+dfsg

=== debian/changelog ===
re2 (20140304+dfsg-2) unstable; urgency=medium

  * Add a smoketest autopkgtest.
  * Add DEP12 upstream metadata.
  * Remove x32 valgrind B-D again, it isn't successfully building there, yet.
  * Add Build-Using field specifying unicode-data, as we generate tables in
    the source, from it. (Closes: #751865)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 20 Jun 2014 01:07:06 +0200

re2 (20140304+dfsg-1) unstable; urgency=medium

  * New upstream revision.
  * Refresh patches.
  * Upload to unstable. And this time, we're here to stay. (Closes: #731536)
  * Replace repack rules with uscan's new Files-Excluded feature.
  * perl-5.18.diff: Reverse approach, after consultation with upstream.
    Don't consider vertical tabs to be matched by \s.
  * Canonicalize VCS URL.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Jun 2014 00:01:15 +0200

re2 (20140111+dfsg-1) experimental; urgency=low

  * New upstream version (Closes: #728090).
    - Upstream now provides date-based releases, switch to them.
    - Refresh patches.
  * Bump Standards-Version to 3.9.5.
  * Add -Wall to CXXFLAGS
  * Use valgrind headers on mips.
  * Drop Jakub from Uploaders, at his request.
  * perl-5.18.diff: The vertical tab \cK (0x0b) is matched by \s. Update
    test_parse to be aware of this. (Closes: #731461)
  * FLAGS_filtered_re2_min_atom_len.diff: Export a flag symbol, fixing a unit
    test failure.
  * Build a shared library again. (Closes: #731475)
    - This time, multi-arch:
      + Build-Depends on dpkg-dev (>= 1.16~).
  * Bump debhelper compat level to 9. This adds a bunch of useful features for
    shared libraries, and sets build flags.
  * Drop AUTHORS and CONTRIBUTORS from docs, and instead list them in
    debian/copyright.
  * Lintian override:
    copyright-should-refer-to-common-license-file-for-apache-2
  * Canonicalize VCS URLs.
  * Update valgrind build-dep archs: Remove armel, and add mipsel, mips64,
    mips64el, and x32.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 16 Jan 2014 23:34:30 +0200

re2 (0+hg80+dfsg-1) experimental; urgency=low

  * New upstream revision.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update machine-readable copyright Format to 1.0.
  * Use valgrind headers on s390x and ppc64.
  * Rename get-orig-source to get-packaged-orig-source, as we use the revision
    in the most recent changelog entry, not upstream's tip.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 May 2012 01:48:06 +0100
