=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND=-pthread -Wall
export DEB_LDFLAGS_MAINT_APPEND=-pthread
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIB_PKG = libre2-1

%:
	dh $@ --parallel

override_dh_auto_build:
	rm -f util/valgrind.h
	if [ -e /usr/include/valgrind/valgrind.h ]; then \
		ln -s /usr/include/valgrind/valgrind.h util; \
	else \
		touch util/valgrind.h; \
	fi
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	                 CPPFLAGS="$(CPPFLAGS)" REBUILD_TABLES=1

override_dh_auto_test:
	dh_auto_test -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	                CPPFLAGS="$(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installdocs:
	dh_installdocs --link-doc=$(LIB_PKG)

override_dh_strip:
	dh_strip --dbg-package=$(LIB_PKG)-dbg

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using='$(shell dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data)'

override_dh_clean:
	dh_clean
	rm -f util/valgrind.h

VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')

get-packaged-orig-source:
	uscan --noconf --rename --download-current-version --compression=xz --destdir=.
