=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
https://code.google.com/p/re2/downloads/list \
.*/re2-(.*).tgz
