=== debian/changelog ===
re2 (20150701+dfsg-2) unstable; urgency=medium

  * Build against g++ 5.
  * Update symbols for C++11 ABI.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Aug 2015 21:56:50 +0200

re2 (20150701+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch exporting flag symbol, superseded upstream.
  * Migrate packaging to git.
  * debian/watch:
    - Use repacksuffix, now that it exists.
    - Point at github, google code has been retired.
  * Add new symbols.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Drop XS-Testsuite control field, now unnecessary.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 04 Jul 2015 16:46:45 -0700
