=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Build-Depends:
  debhelper (>= 9),
  dpkg-dev (>= 1.16~),
+ g++ (>= 4:5),
  libatomic-ops-dev,
  python,
  unicode-data,
  valgrind [amd64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 s390x]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/re2/
-Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/re2/trunk
-Vcs-Browser: https://alioth.debian.org/scm/loggerhead/collab-maint/re2/trunk
-XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/collab-maint/re2.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/re2.git
 
-Package: libre2-1
+Package: libre2-1v5
 Architecture: any
 Multi-Arch: same
 Breaks: libre2-dev (<< 20131024+dfsg-1~)
@@ -37,14 +37,14 @@
  On large inputs, RE2 is often much faster than backtracking engines; its use
  of automata theory lets it apply optimizations that the others cannot.
 
-Package: libre2-1-dbg
+Package: libre2-1v5-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
 Breaks: libre2-dev (<< 20131024+dfsg-1~)
 Replaces: libre2-dev (<< 20131024+dfsg-1~)
-Depends: libre2-1 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-1v5 (= ${binary:Version}), ${misc:Depends}
 Description: efficient, principled regular expression library, debugging symbols
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular
  expression engines like those used in PCRE, Perl, and Python. It is a C++
@@ -58,7 +58,7 @@
 Architecture: any
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-1 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-1v5 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular
