=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIB_PKG = libre2-1
+LIB_PKG = libre2-1v5
 
 %:
 	dh $@ --parallel
