=== debian/changelog ===
re2 (20160201+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop atomic-ops patch, __atomic builtins are used.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Switch Vcs fields to https.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 Feb 2016 18:24:16 +1100

re2 (20151101+dfsg-2) unstable; urgency=medium

  * Simplify shared library tests, to avoid an FTBFS on MIPS.
  * Drop -dbg package now that we have automatic dbgsym packages.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 01 Jan 2016 14:06:28 +0200

re2 (20151101+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Dropped perl 5.18 patch, superseded upstream.
  * Update copyright years.
  * Add new symbols.
  * valgrind is now available on arm64 and ppc64el, B-D on it.
  * Update homepage to point at github.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Dec 2015 23:56:14 +0200
