=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
  debhelper (>= 9),
  dpkg-dev (>= 1.16~),
  g++ (>= 4:5),
- libatomic-ops-dev,
  python,
  unicode-data,
- valgrind [amd64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 s390x]
-Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/re2/
-Vcs-Git: git://anonscm.debian.org/collab-maint/re2.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/re2.git
+ valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x]
+Standards-Version: 3.9.7
+Homepage: https://github.com/google/re2
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/re2.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/re2.git
 
 Package: libre2-1v5
 Architecture: any
@@ -36,22 +35,6 @@
  .
  On large inputs, RE2 is often much faster than backtracking engines; its use
  of automata theory lets it apply optimizations that the others cannot.
-
-Package: libre2-1v5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Breaks: libre2-dev (<< 20131024+dfsg-1~)
-Replaces: libre2-dev (<< 20131024+dfsg-1~)
-Depends: libre2-1v5 (= ${binary:Version}), ${misc:Depends}
-Description: efficient, principled regular expression library, debugging symbols
- RE2 is a fast, safe, thread-friendly alternative to backtracking regular
- expression engines like those used in PCRE, Perl, and Python. It is a C++
- library.
- .
- This package contains the debugging symbols associated with RE2.  gdb will
- automatically use these symbols when debugging programs linked with RE2.
 
 Package: libre2-dev
 Section: libdevel
