=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	dh_installdocs --link-doc=$(LIB_PKG)
 
 override_dh_strip:
-	dh_strip --dbg-package=$(LIB_PKG)-dbg
+	dh_strip --ddeb-migration='$(LIB_PKG)-dbg (<< 20151101+dfsg-2~)'
 
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using='$(shell dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data)'
