=== debian/tests/control ===
Tests: smoketest
Depends: g++, libre2-dev
