## re2 20160501+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,11 +11,22 @@
 
 set(EXTRA_TARGET_LINK_LIBRARIES)
 
+if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
+  if(MSVC_VERSION LESS 1800)
+    message(FATAL_ERROR "you need Visual Studio 2013 or later")
+  endif()
+  if(BUILD_SHARED_LIBS)
+    message(FATAL_ERROR "building a DLL is not currently supported")
+  endif()
+elseif(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
+  add_compile_options(-std=c++11)
+endif()
+
 if(WIN32)
   add_definitions(-DUNICODE -D_UNICODE -DSTRICT -DNOMINMAX)
   set(THREADING threadwin)
-else()
-  add_definitions(-pthread)
+elseif(UNIX)
+  add_compile_options(-pthread)
   set(THREADING thread)
   list(APPEND EXTRA_TARGET_LINK_LIBRARIES -pthread)
 endif()
