=== debian/changelog ===
re2 (20160501+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Use upstream's testinstall.cc in the smoketest.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 07 May 2016 21:51:14 +0200

re2 (20160401+dfsg-2) unstable; urgency=medium

  * Bump soname to libre2.so.2. 20160401 changed the ABI of the RE2 class.
    (Closes: #820178).
  * Use --std=c++11 in the smoketest, too. Consumers of libre2 now need to do
    this.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Apr 2016 17:37:27 -0700

re2 (20160401+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Compress repacked tarball with xz.
  * Update copyright.
  * Compile with --std=c++11, for native C++ atomics.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Apr 2016 19:56:46 -0700
