=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  python,
  unicode-data,
  valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x]
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/google/re2
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/re2.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/re2.git
 
-Package: libre2-1v5
+Package: libre2-2
 Architecture: any
 Multi-Arch: same
 Breaks: libre2-dev (<< 20131024+dfsg-1~)
@@ -41,7 +41,7 @@
 Architecture: any
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-1v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-2 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular
