=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 
-export DEB_CXXFLAGS_MAINT_APPEND=-pthread -Wall
+export DEB_CXXFLAGS_MAINT_APPEND=-pthread -Wall -std=c++11
 export DEB_LDFLAGS_MAINT_APPEND=-pthread
 CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIB_PKG = libre2-1v5
+LIB_PKG = libre2-2
 
 %:
 	dh $@ --parallel
